# org.pdfclown.bytes.IInputStream Interface Reference

Input stream.Its pivotal concept is the access pointer. More...

Inheritance diagram for org.pdfclown.bytes.IInputStream:

List of all members.

## Public Member Functions
int | GetHashCode ()
| Gets the hash representation of the sequence.
void | Read (byte[] data, int offset, int length)
| Reads a sequence of bytes.
void | Read (byte[] data)
| Reads a sequence of bytes.
int | ReadByte ()
| Reads a byte.
int | ReadInt (int length)
| Reads a variable-length integer.
int | ReadInt ()
| Reads an integer.
string | ReadLine ()
| Reads the next line of text.
short | ReadShort ()
| Reads a short integer.
sbyte | ReadSignedByte ()
| Reads a signed byte integer.
string | ReadString (int length)
| Reads a string.
ushort | ReadUnsignedShort ()
| Reads an unsigned short integer.
void | Seek (long position)
| Sets the pointer absolute position.
void | Skip (long offset)
| Sets the pointer relative position.
byte[] | ToByteArray ()
| Gets the buffer data copied to a newly-allocated byte array.
## Properties
ByteOrderEnum | ByteOrder`[get, set]`
| Gets/Sets the byte order.
long | Length`[get]`
| Gets the length of the stream.
long | Position`[get, set]`
| Gets/Sets the pointer position.

##

Input stream.

Its pivotal concept is the access pointer.

## Member Function Documentation

int org.pdfclown.bytes.IInputStream.GetHashCode | ( |  | ) |

Gets the hash representation of the sequence.

Implemented in org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.util.parsers.PostScriptParser.GetHashCode().

void org.pdfclown.bytes.IInputStream.Read | ( | byte[] | data,
|  | int | offset,
|  | int | length |
| ) |  |  |

Reads a sequence of bytes.

This operation causes the stream pointer to advance after the read data.

Parameters:

  | data | Target byte array.
  | offset | Location in the byte array at which storing begins.
  | length | Number of bytes to read.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

void org.pdfclown.bytes.IInputStream.Read | ( | byte[] | data | ) |

Reads a sequence of bytes.

This operation causes the stream pointer to advance after the read data.

Parameters:

  | data | Target byte array.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.tokens.FileParser.ParsePdfObject(), and org.pdfclown.bytes.Stream.Write().

int org.pdfclown.bytes.IInputStream.ReadByte | ( |  | ) |

Reads a byte.

This operation causes the stream pointer to advance after the read data.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

int org.pdfclown.bytes.IInputStream.ReadInt | ( | int | length | ) |

Reads a variable-length integer.

This operation causes the stream pointer to advance after the read data.

Parameters:

  | length | Number of bytes to read.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

int org.pdfclown.bytes.IInputStream.ReadInt | ( |  | ) |

Reads an integer.

This operation causes the stream pointer to advance after the read data.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.documents.contents.fonts.OpenFontParser.IsOpenFont().

string org.pdfclown.bytes.IInputStream.ReadLine | ( |  | ) |

Reads the next line of text.

This operation causes the stream pointer to advance after the read data.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.documents.contents.fonts.PfbParser.Parse().

short org.pdfclown.bytes.IInputStream.ReadShort | ( |  | ) |

Reads a short integer.

This operation causes the stream pointer to advance after the read data.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

sbyte org.pdfclown.bytes.IInputStream.ReadSignedByte | ( |  | ) |

Reads a signed byte integer.

This operation causes the stream pointer to advance after the read data.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

string org.pdfclown.bytes.IInputStream.ReadString | ( | int | length | ) |

Reads a string.

This operation causes the stream pointer to advance after the read data.

Parameters:

  | length | Number of bytes to read.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.tokens.FileParser.RetrieveVersion(), and org.pdfclown.tokens.FileParser.RetrieveXRefOffset().

ushort org.pdfclown.bytes.IInputStream.ReadUnsignedShort | ( |  | ) |

Reads an unsigned short integer.

This operation causes the stream pointer to advance after the read data.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

void org.pdfclown.bytes.IInputStream.Seek | ( | long | position | ) |

Sets the pointer absolute position.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.tokens.FileParser.MoveNext(), org.pdfclown.tokens.FileParser.ParsePdfObject(), org.pdfclown.tokens.FileParser.RetrieveVersion(), and org.pdfclown.tokens.FileParser.RetrieveXRefOffset().

void org.pdfclown.bytes.IInputStream.Skip | ( | long | offset | ) |

Sets the pointer relative position.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

byte [] org.pdfclown.util.IDataWrapper.ToByteArray | ( |  | ) | `[inherited]`

Gets the buffer data copied to a newly-allocated byte array.

Implemented in org.pdfclown.bytes.Buffer, org.pdfclown.bytes.Stream, and org.pdfclown.objects.PdfString.

Referenced by org.pdfclown.bytes.Buffer.Append(), org.pdfclown.bytes.Buffer.Insert(), and org.pdfclown.bytes.Buffer.Replace().

## Property Documentation

ByteOrderEnum org.pdfclown.bytes.IInputStream.ByteOrder`[get, set]`

Gets/Sets the byte order.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

long org.pdfclown.bytes.IStream.Length`[get, inherited]`

Gets the length of the stream.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.bytes.Buffer.Append(), org.pdfclown.tokens.FileParser.RetrieveXRefOffset(), org.pdfclown.bytes.Stream.Write(), org.pdfclown.tokens.PlainWriter.WriteIncremental(), and org.pdfclown.tokens.PlainWriter.WriteStandard().

long org.pdfclown.bytes.IInputStream.Position`[get, set]`

Gets/Sets the pointer position.

Implemented in org.pdfclown.bytes.Buffer, and org.pdfclown.bytes.Stream.

Referenced by org.pdfclown.documents.contents.fonts.OpenFontParser.IsOpenFont(), org.pdfclown.tokens.FileParser.MoveNext(), org.pdfclown.tokens.FileParser.ParsePdfObject(), org.pdfclown.tokens.FileParser.RetrieveVersion(), org.pdfclown.tokens.FileParser.RetrieveXRefOffset(), and org.pdfclown.bytes.Stream.Write().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.